--###############################################################################
--#
--#    Licensed Materials - Property of IBM
--#
--#    (C) Copyright IBM Corp. 2008, 2009
--#    All Rights Reserved
--#
--#    remove_tnsqm.sql 1.1
--#    
--#
--#############################################################################
--#
--# 1.1 - Added support for TNSQM 4.1.3/TBSM 4.2 integration
--#
--#############################################################################
--#
--# This script is used to uninstall the TNSQM correlations and related
--# objects from an OMNIbus 7.x ObjectServer. It removes:
--#   - Automations (triggers and a trigger group)
--#   - Additional Fields in alerts.status
--#
--# To remove the TNSQM correlation support run one of the following
--# platform-dependent commands:
--#
--# Unix:
--#   $OMNIHOME/bin/nco_sql -server <objectserver_name> -user <username>
--#   -password <password> < <path_to_file>/remove_tnsqm.sql
--#
--# Windows:
--#   %OMNIHOME%\bin\redist\isql.exe -S <objectserver name> -U <username> -P
--#   <password> -i <path_to_file>\remove_tnsqm.sql
--#
--#############################################################################

-- Remove trigger

drop trigger tnsqm_update_fields_on_dedup;
go

drop trigger group tnsqm_triggers;
go

-- Remove required fields from alerts.status

alter table alerts.status drop column TNSQM_SLA;
alter table alerts.status drop column TNSQM_SQMSLO;

alter table alerts.status drop column TNSQM_KQI;
alter table alerts.status drop column TNSQM_KQIValue;

alter table alerts.status drop column TNSQM_ResourceType;
alter table alerts.status drop column TNSQM_Resource;
alter table alerts.status drop column TNSQM_ResourceName;

alter table alerts.status drop column TNSQM_RuleCondition;
alter table alerts.status drop column TNSQM_RuleName;

alter table alerts.status drop column TNSQM_Schedule;
alter table alerts.status drop column TNSQM_StartTime;
alter table alerts.status drop column TNSQM_EndTime;
alter table alerts.status drop column TNSQM_AlarmRaiseTime;
alter table alerts.status drop column TNSQM_AlarmRaiseString;

alter table alerts.status drop column TNSQM_AdditionalText;
alter table alerts.status drop column TNSQM_Accuracy;
alter table alerts.status drop column TNSQM_GI;
alter table alerts.status drop column TNSQM_ServiceElement;
alter table alerts.status drop column TNSQM_User;
alter table alerts.status drop column TNSQM_RollupLevel;
alter table alerts.status drop column TNSQM_PrevSeverity;
alter table alerts.status drop column TNSQM_PrevKQIValue;
alter table alerts.status drop column TNSQM_Clause;
alter table alerts.status drop column TNSQM_ClauseName;
alter table alerts.status drop column TNSQM_Node;
alter table alerts.status drop column TNSQM_Port;
alter table alerts.status drop column TNSQM_RuleID;
alter table alerts.status drop column TNSQM_KQIWeight;
alter table alerts.status drop column TNSQM_KQIWeightUnit;
alter table alerts.status drop column TNSQM_KQIUnit;
alter table alerts.status drop column TNSQM_ModelCategory;
go



